# azure.mgmt.storagesync.models module

exception `azure.mgmt.storagesync.models.``StorageSyncErrorException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘StorageSyncError’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.storagesync.models.``AzureEntityResource`(**kwargs)

  Bases: `azure.mgmt.storagesync.models._models_py3.Resource`

  The resource model definition for a Azure Resource Manager resource with an etag.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.
  - etag (str) – Resource Etag.

class `azure.mgmt.storagesync.models.``BackupRequest`(*, azure_file_share: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Backup request.

  Parameters: | azure_file_share (str) – Azure File Share.

class `azure.mgmt.storagesync.models.``CheckNameAvailabilityParameters`(*, name: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters for a check name availability request.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters: | name (str) – Required. The name to check for availability
  Variables: | type (str) – Required. The resource type. Must be set to Microsoft.StorageSync/storageSyncServices. Default value: “Microsoft.StorageSync/storageSyncServices” .

  `type` = 'Microsoft.StorageSync/storageSyncServices'

class `azure.mgmt.storagesync.models.``CheckNameAvailabilityResult`(**kwargs)

  Bases: `msrest.serialization.Model`

  The CheckNameAvailability operation response.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - name_available (bool) – Gets a boolean value that indicates whether the name is available for you to use. If true, the name is available. If false, the name has already been taken or invalid and cannot be used.
  - reason (str or NameAvailabilityReason) – Gets the reason that a Storage Sync Service name could not be used. The Reason element is only returned if NameAvailable is false. Possible values include: ‘Invalid’, ‘AlreadyExists’
  - message (str) – Gets an error message explaining the Reason value in more detail.

class `azure.mgmt.storagesync.models.``CloudEndpoint`(*, storage_account_resource_id: str = None, azure_file_share_name: str = None, storage_account_tenant_id: str = None, partnership_id: str = None, friendly_name: str = None, provisioning_state: str = None, last_workflow_id: str = None, last_operation_name: str = None, **kwargs)

  Bases: `azure.mgmt.storagesync.models._models_py3.ProxyResource`

  Cloud Endpoint object.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.
  - backup_enabled (str) – Backup Enabled

  Parameters:

  - storage_account_resource_id (str) – Storage Account Resource Id
  - azure_file_share_name (str) – Azure file share name
  - storage_account_tenant_id (str) – Storage Account Tenant Id
  - partnership_id (str) – Partnership Id
  - friendly_name (str) – Friendly Name
  - provisioning_state (str) – CloudEndpoint Provisioning State
  - last_workflow_id (str) – CloudEndpoint lastWorkflowId
  - last_operation_name (str) – Resource Last Operation Name

class `azure.mgmt.storagesync.models.``CloudEndpointCreateParameters`(*, storage_account_resource_id: str = None, azure_file_share_name: str = None, storage_account_tenant_id: str = None, friendly_name: str = None, **kwargs)

  Bases: `azure.mgmt.storagesync.models._models_py3.ProxyResource`

  The parameters used when creating a cloud endpoint.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.

  Parameters:

  - storage_account_resource_id (str) – Storage Account Resource Id
  - azure_file_share_name (str) – Azure file share name
  - storage_account_tenant_id (str) – Storage Account Tenant Id
  - friendly_name (str) – Friendly Name

class `azure.mgmt.storagesync.models.``OperationDisplayInfo`(*, description: str = None, operation: str = None, provider: str = None, resource: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The operation supported by storage sync.

  Parameters:

  - description (str) – The description of the operation.
  - operation (str) – The action that users can perform, based on their permission level.
  - provider (str) – Service provider: Microsoft StorageSync.
  - resource (str) – Resource on which the operation is performed.

class `azure.mgmt.storagesync.models.``OperationDisplayResource`(*, provider: str = None, resource: str = None, operation: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Operation Display Resource object.

  Parameters:

  - provider (str) – Operation Display Resource Provider.
  - resource (str) – Operation Display Resource.
  - operation (str) – Operation Display Resource Operation.
  - description (str) – Operation Display Resource Description.

class `azure.mgmt.storagesync.models.``OperationEntity`(*, name: str = None, display=None, origin: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The operation supported by storage sync.

  Parameters:

  - name (str) – Operation name: {provider}/{resource}/{operation}.
  - display (OperationDisplayInfo) – The operation supported by storage sync.
  - origin (str) – The origin.

class `azure.mgmt.storagesync.models.``OperationStatus`(**kwargs)

  Bases: `msrest.serialization.Model`

  Operation status object.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - name (str) – Operation Id
  - status (str) – Operation status
  - start_time (datetime) – Start time of the operation
  - end_time (datetime) – End time of the operation
  - error (StorageSyncApiError) – Error details.

class `azure.mgmt.storagesync.models.``PostBackupResponse`(**kwargs)

  Bases: `msrest.serialization.Model`

  Post Backup Response.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | cloud_endpoint_name (str) – cloud endpoint Name.

class `azure.mgmt.storagesync.models.``PostRestoreRequest`(*, partition: str = None, replica_group: str = None, request_id: str = None, azure_file_share_uri: str = None, status: str = None, source_azure_file_share_uri: str = None, failed_file_list: str = None, restore_file_spec=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Post Restore Request.

  Parameters:

  - partition (str) – Post Restore partition.
  - replica_group (str) – Post Restore replica group.
  - request_id (str) – Post Restore request id.
  - azure_file_share_uri (str) – Post Restore Azure file share uri.
  - status (str) – Post Restore Azure status.
  - source_azure_file_share_uri (str) – Post Restore Azure source azure file share uri.
  - failed_file_list (str) – Post Restore Azure failed file list.
  - restore_file_spec (list[RestoreFileSpec]) – Post Restore restore file spec array.

class `azure.mgmt.storagesync.models.``PreRestoreRequest`(*, partition: str = None, replica_group: str = None, request_id: str = None, azure_file_share_uri: str = None, status: str = None, source_azure_file_share_uri: str = None, backup_metadata_property_bag: str = None, restore_file_spec=None, pause_wait_for_sync_drain_time_period_in_seconds: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Pre Restore request object.

  Parameters:

  - partition (str) – Pre Restore partition.
  - replica_group (str) – Pre Restore replica group.
  - request_id (str) – Pre Restore request id.
  - azure_file_share_uri (str) – Pre Restore Azure file share uri.
  - status (str) – Pre Restore Azure status.
  - source_azure_file_share_uri (str) – Pre Restore Azure source azure file share uri.
  - backup_metadata_property_bag (str) – Pre Restore backup metadata property bag.
  - restore_file_spec (list[RestoreFileSpec]) – Pre Restore restore file spec array.
  - pause_wait_for_sync_drain_time_period_in_seconds (int) – Pre Restore pause wait for sync drain time period in seconds.

class `azure.mgmt.storagesync.models.``ProxyResource`(**kwargs)

  Bases: `azure.mgmt.storagesync.models._models_py3.Resource`

  The resource model definition for a ARM proxy resource. It will have everything other than required location and tags.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.

class `azure.mgmt.storagesync.models.``RecallActionParameters`(*, pattern: str = None, recall_path: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters used when calling recall action on server endpoint.

  Parameters:

  - pattern (str) – Pattern of the files.
  - recall_path (str) – Recall path.

class `azure.mgmt.storagesync.models.``RegisteredServer`(*, server_certificate: str = None, agent_version: str = None, server_os_version: str = None, server_management_error_code: int = None, last_heart_beat: str = None, provisioning_state: str = None, server_role: str = None, cluster_id: str = None, cluster_name: str = None, server_id: str = None, storage_sync_service_uid: str = None, last_workflow_id: str = None, last_operation_name: str = None, discovery_endpoint_uri: str = None, resource_location: str = None, service_location: str = None, friendly_name: str = None, management_endpoint_uri: str = None, monitoring_configuration: str = None, **kwargs)

  Bases: `azure.mgmt.storagesync.models._models_py3.ProxyResource`

  Registered Server resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.

  Parameters:

  - server_certificate (str) – Registered Server Certificate
  - agent_version (str) – Registered Server Agent Version
  - server_os_version (str) – Registered Server OS Version
  - server_management_error_code (int) – Registered Server Management Error Code
  - last_heart_beat (str) – Registered Server last heart beat
  - provisioning_state (str) – Registered Server Provisioning State
  - server_role (str) – Registered Server serverRole
  - cluster_id (str) – Registered Server clusterId
  - cluster_name (str) – Registered Server clusterName
  - server_id (str) – Registered Server serverId
  - storage_sync_service_uid (str) – Registered Server storageSyncServiceUid
  - last_workflow_id (str) – Registered Server lastWorkflowId
  - last_operation_name (str) – Resource Last Operation Name
  - discovery_endpoint_uri (str) – Resource discoveryEndpointUri
  - resource_location (str) – Resource Location
  - service_location (str) – Service Location
  - friendly_name (str) – Friendly Name
  - management_endpoint_uri (str) – Management Endpoint Uri
  - monitoring_configuration (str) – Monitoring Configuration

class `azure.mgmt.storagesync.models.``RegisteredServerCreateParameters`(*, server_certificate: str = None, agent_version: str = None, server_os_version: str = None, last_heart_beat: str = None, server_role: str = None, cluster_id: str = None, cluster_name: str = None, server_id: str = None, friendly_name: str = None, **kwargs)

  Bases: `azure.mgmt.storagesync.models._models_py3.ProxyResource`

  The parameters used when creating a registered server.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.

  Parameters:

  - server_certificate (str) – Registered Server Certificate
  - agent_version (str) – Registered Server Agent Version
  - server_os_version (str) – Registered Server OS Version
  - last_heart_beat (str) – Registered Server last heart beat
  - server_role (str) – Registered Server serverRole
  - cluster_id (str) – Registered Server clusterId
  - cluster_name (str) – Registered Server clusterName
  - server_id (str) – Registered Server serverId
  - friendly_name (str) – Friendly Name

class `azure.mgmt.storagesync.models.``Resource`(**kwargs)

  Bases: `msrest.serialization.Model`

  Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.

class `azure.mgmt.storagesync.models.``ResourcesMoveInfo`(*, target_resource_group: str = None, resources=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Resource Move Info.

  Parameters:

  - target_resource_group (str) – Target resource group.
  - resources (list[str]) – Collection of Resources.

class `azure.mgmt.storagesync.models.``RestoreFileSpec`(*, path: str = None, isdir: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Restore file spec.

  Parameters:

  - path (str) – Restore file spec path
  - isdir (bool) – Restore file spec isdir

class `azure.mgmt.storagesync.models.``ServerEndpoint`(*, server_local_path: str = None, cloud_tiering=None, volume_free_space_percent: int = None, tier_files_older_than_days: int = None, friendly_name: str = None, server_resource_id: str = None, offline_data_transfer=None, offline_data_transfer_share_name: str = None, **kwargs)

  Bases: `azure.mgmt.storagesync.models._models_py3.ProxyResource`

  Server Endpoint object.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.
  - provisioning_state (str) – ServerEndpoint Provisioning State
  - last_workflow_id (str) – ServerEndpoint lastWorkflowId
  - last_operation_name (str) – Resource Last Operation Name
  - sync_status (ServerEndpointSyncStatus) – Server Endpoint sync status
  - offline_data_transfer_storage_account_resource_id (str) – Offline data transfer storage account resource ID
  - offline_data_transfer_storage_account_tenant_id (str) – Offline data transfer storage account tenant ID
  - cloud_tiering_status (ServerEndpointCloudTieringStatus) – Cloud tiering status. Only populated if cloud tiering is enabled.
  - recall_status (ServerEndpointRecallStatus) – Recall status. Only populated if cloud tiering is enabled.

  Parameters:

  - server_local_path (str) – Server Local path.
  - cloud_tiering (str or enum) – Cloud Tiering. Possible values include: ‘on’, ‘off’
  - volume_free_space_percent (int) – Level of free space to be maintained by Cloud Tiering if it is enabled.
  - tier_files_older_than_days (int) – Tier files older than days.
  - friendly_name (str) – Friendly Name
  - server_resource_id (str) – Server Resource Id.
  - offline_data_transfer (str or enum) – Offline data transfer. Possible values include: ‘on’, ‘off’
  - offline_data_transfer_share_name (str) – Offline data transfer share name

class `azure.mgmt.storagesync.models.``ServerEndpointCloudTieringStatus`(**kwargs)

  Bases: `msrest.serialization.Model`

  Server endpoint cloud tiering status object.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - health (str or enum) – Cloud tiering health state. Possible values include: ‘Healthy’, ‘Error’
  - last_updated_timestamp (datetime) – Last updated timestamp
  - last_cloud_tiering_result (int) – Last cloud tiering result (HResult)
  - last_success_timestamp (datetime) – Last cloud tiering success timestamp

class `azure.mgmt.storagesync.models.``ServerEndpointCreateParameters`(*, server_local_path: str = None, cloud_tiering=None, volume_free_space_percent: int = None, tier_files_older_than_days: int = None, friendly_name: str = None, server_resource_id: str = None, offline_data_transfer=None, offline_data_transfer_share_name: str = None, **kwargs)

  Bases: `azure.mgmt.storagesync.models._models_py3.ProxyResource`

  The parameters used when creating a server endpoint.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.

  Parameters:

  - server_local_path (str) – Server Local path.
  - cloud_tiering (str or enum) – Cloud Tiering. Possible values include: ‘on’, ‘off’
  - volume_free_space_percent (int) – Level of free space to be maintained by Cloud Tiering if it is enabled.
  - tier_files_older_than_days (int) – Tier files older than days.
  - friendly_name (str) – Friendly Name
  - server_resource_id (str) – Server Resource Id.
  - offline_data_transfer (str or enum) – Offline data transfer. Possible values include: ‘on’, ‘off’
  - offline_data_transfer_share_name (str) – Offline data transfer share name

class `azure.mgmt.storagesync.models.``ServerEndpointFilesNotSyncingError`(**kwargs)

  Bases: `msrest.serialization.Model`

  Files not syncing error object.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - error_code (int) – Error code (HResult)
  - persistent_count (long) – Count of persistent files not syncing with the specified error code
  - transient_count (long) – Count of transient files not syncing with the specified error code

class `azure.mgmt.storagesync.models.``ServerEndpointRecallError`(**kwargs)

  Bases: `msrest.serialization.Model`

  Server endpoint recall error object.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - error_code (int) – Error code (HResult)
  - count (long) – Count of occurences of the error

class `azure.mgmt.storagesync.models.``ServerEndpointRecallStatus`(**kwargs)

  Bases: `msrest.serialization.Model`

  Server endpoint recall status object.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - last_updated_timestamp (datetime) – Last updated timestamp
  - total_recall_errors_count (long) – Total count of recall errors.
  - recall_errors (list[ServerEndpointRecallError]) – Array of recall errors

class `azure.mgmt.storagesync.models.``ServerEndpointSyncActivityStatus`(**kwargs)

  Bases: `msrest.serialization.Model`

  Sync Session status object.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - timestamp (datetime) – Timestamp when properties were updated
  - per_item_error_count (long) – Per item error count
  - applied_item_count (long) – Applied item count.
  - total_item_count (long) – Total item count (if available)
  - applied_bytes (long) – Applied bytes
  - total_bytes (long) – Total bytes (if available)

class `azure.mgmt.storagesync.models.``ServerEndpointSyncSessionStatus`(**kwargs)

  Bases: `msrest.serialization.Model`

  Sync Session status object.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - last_sync_result (int) – Last sync result (HResult)
  - last_sync_timestamp (datetime) – Last sync timestamp
  - last_sync_success_timestamp (datetime) – Last sync success timestamp
  - last_sync_per_item_error_count (long) – Last sync per item error count.
  - persistent_files_not_syncing_count (long) – Count of persistent files not syncing.
  - transient_files_not_syncing_count (long) – Count of transient files not syncing.
  - files_not_syncing_errors (list[ServerEndpointFilesNotSyncingError]) – Array of per-item errors coming from the last sync session.

class `azure.mgmt.storagesync.models.``ServerEndpointSyncStatus`(**kwargs)

  Bases: `msrest.serialization.Model`

  Server Endpoint sync status.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - download_health (str or enum) – Download Health Status. Possible values include: ‘Healthy’, ‘Error’, ‘SyncBlockedForRestore’, ‘SyncBlockedForChangeDetectionPostRestore’, ‘NoActivity’
  - upload_health (str or enum) – Upload Health Status. Possible values include: ‘Healthy’, ‘Error’, ‘SyncBlockedForRestore’, ‘SyncBlockedForChangeDetectionPostRestore’, ‘NoActivity’
  - combined_health (str or enum) – Combined Health Status. Possible values include: ‘Healthy’, ‘Error’, ‘SyncBlockedForRestore’, ‘SyncBlockedForChangeDetectionPostRestore’, ‘NoActivity’
  - sync_activity (str or enum) – Sync activity. Possible values include: ‘Upload’, ‘Download’, ‘UploadAndDownload’
  - total_persistent_files_not_syncing_count (long) – Total count of persistent files not syncing (combined upload + download).
  - last_updated_timestamp (datetime) – Last Updated Timestamp
  - upload_status (ServerEndpointSyncSessionStatus) – Upload Status
  - download_status (ServerEndpointSyncSessionStatus) – Download Status
  - upload_activity (ServerEndpointSyncActivityStatus) – Upload sync activity
  - download_activity (ServerEndpointSyncActivityStatus) – Download sync activity
  - offline_data_transfer_status (str or enum) – Offline Data Transfer State. Possible values include: ‘InProgress’, ‘Stopping’, ‘NotRunning’, ‘Complete’

class `azure.mgmt.storagesync.models.``ServerEndpointUpdateParameters`(*, cloud_tiering=None, volume_free_space_percent: int = None, tier_files_older_than_days: int = None, offline_data_transfer=None, offline_data_transfer_share_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters for updating an Server Endpoint.

  Parameters:

  - cloud_tiering (str or enum) – Cloud Tiering. Possible values include: ‘on’, ‘off’
  - volume_free_space_percent (int) – Level of free space to be maintained by Cloud Tiering if it is enabled.
  - tier_files_older_than_days (int) – Tier files older than days.
  - offline_data_transfer (str or enum) – Offline data transfer. Possible values include: ‘on’, ‘off’
  - offline_data_transfer_share_name (str) – Offline data transfer share name

class `azure.mgmt.storagesync.models.``StorageSyncApiError`(*, code: str = None, message: str = None, target: str = None, details=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error type.

  Parameters:

  - code (str) – Error code of the given entry.
  - message (str) – Error message of the given entry.
  - target (str) – Target of the given error entry.
  - details (StorageSyncErrorDetails) – Error details of the given entry.

class `azure.mgmt.storagesync.models.``StorageSyncError`(*, error=None, innererror=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error type.

  Parameters:

  - error (StorageSyncApiError) – Error details of the given entry.
  - innererror (StorageSyncApiError) – Error details of the given entry.

class `azure.mgmt.storagesync.models.``StorageSyncErrorDetails`(*, code: str = None, message: str = None, target: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error Details object.

  Parameters:

  - code (str) – Error code of the given entry.
  - message (str) – Error message of the given entry.
  - target (str) – Target of the given entry.

class `azure.mgmt.storagesync.models.``StorageSyncService`(*, location: str, tags=None, **kwargs)

  Bases: `azure.mgmt.storagesync.models._models_py3.TrackedResource`

  Storage Sync Service object.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.
  - storage_sync_service_status (int) – Storage Sync service status.
  - storage_sync_service_uid (str) – Storage Sync service Uid

  Parameters:

  - tags (dict[str, str]) – Resource tags.
  - location (str) – Required. The geo-location where the resource lives

class `azure.mgmt.storagesync.models.``StorageSyncServiceCreateParameters`(*, location: str, tags=None, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters used when creating a storage sync service.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - location (str) – Required. Required. Gets or sets the location of the resource. This will be one of the supported and registered Azure Geo Regions (e.g. West US, East US, Southeast Asia, etc.). The geo region of a resource cannot be changed once it is created, but if an identical geo region is specified on update, the request will succeed.
  - tags (dict[str, str]) – Gets or sets a list of key value pairs that describe the resource. These tags can be used for viewing and grouping this resource (across resource groups). A maximum of 15 tags can be provided for a resource. Each tag must have a key with a length no greater than 128 characters and a value with a length no greater than 256 characters.
  - properties (object) –

class `azure.mgmt.storagesync.models.``StorageSyncServiceUpdateParameters`(*, tags=None, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Parameters for updating an Storage sync service.

  Parameters:

  - tags (dict[str, str]) – The user-specified tags associated with the storage sync service.
  - properties (object) – The properties of the storage sync service.

class `azure.mgmt.storagesync.models.``SubscriptionState`(*, state=None, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Subscription State object.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - state (str or Reason) – State of Azure Subscription. Possible values include: ‘Registered’, ‘Unregistered’, ‘Warned’, ‘Suspended’, ‘Deleted’
  - properties (object) – Subscription state properties.

  Variables: | istransitioning (bool) – Is Transitioning

class `azure.mgmt.storagesync.models.``SyncGroup`(**kwargs)

  Bases: `azure.mgmt.storagesync.models._models_py3.ProxyResource`

  Sync Group object.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.
  - unique_id (str) – Unique Id
  - sync_group_status (str) – Sync group status

class `azure.mgmt.storagesync.models.``SyncGroupCreateParameters`(*, properties=None, **kwargs)

  Bases: `azure.mgmt.storagesync.models._models_py3.ProxyResource`

  The parameters used when creating a sync group.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.

  Parameters: | properties (object) – The parameters used to create the sync group

class `azure.mgmt.storagesync.models.``TrackedResource`(*, location: str, tags=None, **kwargs)

  Bases: `azure.mgmt.storagesync.models._models_py3.Resource`

  The resource model definition for a ARM tracked top level resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.

  Parameters:

  - tags (dict[str, str]) – Resource tags.
  - location (str) – Required. The geo-location where the resource lives

class `azure.mgmt.storagesync.models.``TriggerChangeDetectionParameters`(*, directory_path: str = None, change_detection_mode=None, paths=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters used when calling trigger change detection action on cloud endpoint.

  Parameters:

  - directory_path (str) – Relative path to a directory Azure File share for which change detection is to be performed.
  - change_detection_mode (str or ChangeDetectionMode) – Change Detection Mode. Applies to a directory specified in directoryPath parameter. Possible values include: ‘Default’, ‘Recursive’
  - paths (list[str]) – Array of relative paths on the Azure File share to be included in the change detection. Can be files and directories.

class `azure.mgmt.storagesync.models.``TriggerRolloverRequest`(*, server_certificate: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Trigger Rollover Request.

  Parameters: | server_certificate (str) – Certificate Data

class `azure.mgmt.storagesync.models.``Workflow`(*, last_step_name: str = None, status=None, operation=None, steps: str = None, last_operation_id: str = None, **kwargs)

  Bases: `azure.mgmt.storagesync.models._models_py3.ProxyResource`

  Workflow resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified resource Id for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
  - name (str) – The name of the resource
  - type (str) – The type of the resource. Ex- Microsoft.Compute/virtualMachines or Microsoft.Storage/storageAccounts.

  Parameters:

  - last_step_name (str) – last step name
  - status (str or enum) – workflow status. Possible values include: ‘active’, ‘expired’, ‘succeeded’, ‘aborted’, ‘failed’
  - operation (str or enum) – operation direction. Possible values include: ‘do’, ‘undo’, ‘cancel’
  - steps (str) – workflow steps
  - last_operation_id (str) – workflow last operation identifier.

class `azure.mgmt.storagesync.models.``OperationEntityPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `OperationEntity` object

class `azure.mgmt.storagesync.models.``StorageSyncServicePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `StorageSyncService` object

class `azure.mgmt.storagesync.models.``SyncGroupPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `SyncGroup` object

class `azure.mgmt.storagesync.models.``CloudEndpointPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `CloudEndpoint` object

class `azure.mgmt.storagesync.models.``ServerEndpointPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ServerEndpoint` object

class `azure.mgmt.storagesync.models.``RegisteredServerPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `RegisteredServer` object

class `azure.mgmt.storagesync.models.``WorkflowPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Workflow` object

class `azure.mgmt.storagesync.models.``Reason`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `deleted` = 'Deleted'
  `registered` = 'Registered'
  `suspended` = 'Suspended'
  `unregistered` = 'Unregistered'
  `warned` = 'Warned'

class `azure.mgmt.storagesync.models.``ChangeDetectionMode`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `default` = 'Default'
  `recursive` = 'Recursive'

class `azure.mgmt.storagesync.models.``NameAvailabilityReason`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `already_exists` = 'AlreadyExists'
  `invalid` = 'Invalid'